#
# u2df01.rb
#
# $Id: u2df01.rb,v 1.1 2000/11/22 14:35:57 keiko Exp $
#

require "narray"
require "numru/dcl"

include NumRu::DCL
include Math


nx = 19
ny = 19
xmin = 0
xmax = 360
ymin = -90
ymax = 90
drad = PI/180
dz = 0.05
p = NArray.sfloat(nx, ny)

#-- data ---
for j in 0..ny-1
  for i in 0..nx-1
    alon = (xmin + (xmax-xmin)*i/(nx-1)) * drad
    alat = (ymin + (ymax-ymin)*j/(ny-1)) * drad
    slat = sin(alat)
    p[i,j] = cos(alon) * (1-slat**2) * sin(2*PI*slat) + dz
  end
end

#-- graph ---
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; sgpwsn; gets)).to_i
gropn iws

grfrm

grswnd(xmin, xmax, ymin, ymax)
grsvpt(0.2, 0.8, 0.2, 0.8)
grstrn(1)
grstrf

usdaxs

udcntr(p)

grcls

