#
# uspac2.rb
#
# $Id: uspac2.rb,v 1.1 2000/11/21 03:15:46 keiko Exp $
#

require "narray"
require "numru/dcl"

include NumRu::DCL
include NMath


nmax = 201
imax = 5
x = NArray.sfloat(nmax)
y0 = NArray.sfloat(nmax)
y1 = NArray.sfloat(nmax)
y2 = NArray.sfloat(nmax)
a = NArray.sfloat(imax)

#-- data ---
for i in 0..imax-1
  ii = 2*i + 1
  a[i] = ((-1.0)**(i+1))*2/(ii*PI)
end

x = x.indgen * 1.0/(nmax-1)
for n in 0..nmax-1
  t     = 2.0*PI*x[n]
  if (t < PI/2.0 || t >= PI*3.0/2.0)
    y0[n] = 0.0
  else
    y0[n] = 1.0
  end
  y1[n] = 0.5 + a[0]*cos(t) 
  y2[n] = 0.5
  for i in 0..imax-1
    ii = 2*i + 1
    y2[n] = y2[n] + a[i]*cos(ii*t)
  end
end

#-- graph ---
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; sgpwsn; gets)).to_i
gropn iws

grfrm

usspnt(nmax, x, y0)
usspnt(nmax, x, y1)
usspnt(nmax, x, y2)
uspfit
grstrf

ussttl('FREQUENCY', '/DAY', 'RESPONSE', ' ')
usdaxs

uulin(nmax, x, y0)
uuslnt(2)
uuslni(3)
uulin(nmax, x, y1)
uuslnt(3)
uulin(nmax, x, y2)

grcls

